<?php 
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());

$listaetapas ="SELECT p.proyecto, etapa, res_rec_municipal, fec_rec_municipal, m.manzana, null,null
				FROM $itodos.tbl_etapaxproyecto e
				INNER JOIN $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
				INNER JOIN $itodos.tbl_manzanaxetapaxproyecto m ON m.id_etapa = e.id_etapa
				WHERE  
					p.id_proyecto In( 40,49,71,53)";

$resultado = mysql_query($listaetapas,$conexion2); 	
	if(mysql_num_rows($resultado)> 0){
		while($fila = mysql_fetch_array($resultado)){
			  $etapa = $fila['etapa'];
			  $proyecto = $fila['proyecto'];
			  $abreviatura = $fila['manzana'];
			  $id_etapa =  buscaretapa($proyecto,$etapa,$conexion1);			
			  $id_disenoEtapa = BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1);
				if($id_disenoEtapa == ""){
						$querymodelo = "INSERT INTO `tblmodelounidadconstrucciones`(`ABREVIATURA`) VALUES ('$abreviatura')";
						if(mysql_query($querymodelo,$conexion1)){
							$ultimo_id = mysql_insert_id($conexion1); 
						}
						$queryinsertdiseño = "INSERT INTO tblconfiguracionetapas(ID_ETAPA,ID_UNIDADCONSTRUCCION, ID_MODELOUNIDADCONSTRUCCION)
												VALUES ('$id_etapa',3,'$ultimo_id')";
						if(mysql_query($queryinsertdiseño,$conexion1)){
							echo "Se Guardarda";
						}
				}else{
				 // SI EXISTE
					 echo "existe";
				}
  		}
	 }else{
	 	echo "NO TRAE FILAS";
	 }



	 function BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1){
		$resultado = mysql_query("SELECT ce.ID_DISENOETAPA
								FROM  pvitls_postventa.tblconfiguracionetapas ce
								INNER JOIN pvitls_postventa.tbletapas e ON e.id_etapa = ce.id_etapa
								INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
								WHERE    mc.ABREVIATURA ='$abreviatura' and ce.id_etapa ='$id_etapa' ",$conexion1); 
		while( $resultado = mysql_fetch_array($resultado) ) { 
			   return $resultado['ID_DISENOETAPA']; 
		}  
	 }


function buscaretapa($id_proyecto,$etapa,$conexion1){
	$resultado = mysql_query("SELECT e.ID_ETAPA, p.PROYECTO,e.ETAPA
								FROM pvitls_postventa.tbletapas e
								INNER JOIN pvitls_postventa.tblproyectos p ON p.ID_PROYECTO = e.ID_PROYECTO 
								WHERE e.ETAPA = '$etapa' AND p.PROYECTO = '$id_proyecto'",$conexion1); 
		while( $resultado = mysql_fetch_array($resultado) ) { 
				return $resultado['ID_ETAPA']; 
		} 
}


 function buscaretapadesigner($id_etapa,$unidadcontruccion,$modelocontruccion,$conexion1){
   $resultado = mysql_query("SELECT ce.ID_DISENOETAPA,ce.ID_ETAPA
                                       FROM  pvitls_postventa.tblconfiguracionetapas ce
                                       INNER JOIN pvitls_postventa.tblunidadconstrucciones uc ON uc.ID_UNIDADCONSTRUCCION = ce.ID_UNIDADCONSTRUCCION
                                       INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
                                        WHERE ID_ETAPA = '$id_etapa' 
                                        AND  uc.ID_UNIDADCONSTRUCCION  = '$unidadcontruccion'
                                        AND  mc.ID_MODELOUNIDADCONSTRUCCION = '$modelocontruccion'",$conexion1); 
   	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{

	 	return "0";
	 }
}


?>